Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Types | Public Member Functions | List of all members
ranges::v3::concepts::WeakInputIterator Struct Reference
Concepts
Inheritance diagram for ranges::v3::concepts::WeakInputIterator:

## Public Types
template<typename I >
using | category_t = meta::_t< ranges::iterator_category< I >>
Public Types inherited from ranges::v3::concepts::refines< WeakIterator, Readable >
using | base_concepts_t = meta::list< Concepts...>

## Public Member Functions
template<typename I >
auto | requires_ (I &&i) -> decltype(concepts::valid_expr(concepts::model_of< DerivedFrom, category_t< I >, ranges::weak_input_iterator_tag >(), concepts::model_of< Readable >(i++)))
Public Member Functions inherited from ranges::v3::concepts::refines< WeakIterator, Readable >
void | requires_ (Ts &&...)